# List periods for a commitment

Lists periods of the commitment. You can paginate the results using `page` and `pageSize` query parameters.

Endpoint: GET /commitments/periods
Version: 2026-11-06
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Query parameters:

  - `commitmentKey` (string)
    The unique identifier or number of the commitment. Required if `startDate`, `endDate`, and `accountNumber` are not all provided. Either specify `commitmentKey`, or provide `startDate`, `endDate`, and `accountNumber` together.

  - `startDate` (string)
    Start date of the billing period in `YYYY-MM-DD` format. Date filters must be up to 5 years apart. Required if `commitmentKey` is not provided. Must be used together with `endDate` and `accountNumber`.

  - `endDate` (string)
    End date of the billing period in `YYYY-MM-DD` format. Date filters must be up to 5 years apart. Required if `commitmentKey` is not provided. Must be used together with `startDate` and `accountNumber`.

  - `accountNumber` (string)
    Account number to which the commitment belongs to. Required if `commitmentKey` is not provided. Must be used together with `startDate` and `endDate`.

  - `page` (integer)
    Page number for pagination.

  - `pageSize` (integer)
    Page size for pagination.

## Header parameters:

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

  - `Zuora-Org-Ids` (string)
    Comma separated IDs. If you have Zuora Multi-Org enabled,
you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

  - `Zuora-Version` (string)
    The minor API version.
For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `total` (integer)
    Total number of periods available for the given commitment/Total commitments for given account.

  - `page` (integer)
    The current page number.

  - `pageSize` (integer)
    The number of results returned per page.

  - `periods` (array)
    A list of commitment period objects.

  - `periods.id` (string)
    ID of the commitment period.

  - `periods.commitmentId` (string)
    ID of the commitment.

  - `periods.commitmentNumber` (string)
    The number of the commitment.

  - `periods.version` (integer)
    Version of the commitment period.

  - `periods.type` (string)
    The type of the commitment.
    Enum: "MinCommitment", "MaxCommitment"

  - `periods.priority` (integer)
    Priority of the commitment.

  - `periods.currency` (string)
    Currency of the commitment.

  - `periods.isProrated` (boolean)
    Indicates if the period is prorated.

  - `periods.amount` (number)
    The total amount of the commitment within the current period.

  - `periods.balance` (number)
    The balance amount to be spent within the current period.

  - `periods.trueUpAmount` (number)
    Total true-up amount for this commitment period. It will be null if it is a prepaid commitment or if it is not evaluated yet. This will be a non-negative number.

  - `periods.expiredAmount` (number)
    Total expired amount for this commitment period. It will be null if it is a postpaid commitment or if the period is not evaluated yet. This will be a non-negative number.

  - `periods.billedTotalSpending` (number)
    Sum of charge contribution amount.

  - `periods.consumedAmount` (number)
    Sum of actual drawdown and reversal contributions for this commitment period.
    Example: 1000

  - `periods.overage` (number)
    Overage amount for this commitment period.
    Example: 200

  - `periods.status` (string)
    Status of the commitment period.
    Enum: "Active", "Cancelled", "Evaluated", "ActiveWithDrawdown", "CancelledPendingEvaluation"

  - `periods.startDate` (string)
    The start date of the commitment period.

  - `periods.endDate` (string)
    The end date of the commitment period.

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. 
You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 500 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. 
You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 4XX:

  - `4XX` (unknown)
    Request Errors

## Response 4XX fields (application/json):

  - `processId` (string)
    The ID of the process that handles the operation.

  - `reasons` (array)
    The container of the error code and message. This field is available only if the `success` field is `false`.

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

  - `requestId` (string)
    Unique identifier of the request.

  - `success` (boolean)
    Indicates whether the call succeeded.

## Response 4XX headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. 
You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 500 examples:

  - `response` (unknown)

## Response 4XX examples:

  - `response` (unknown)

